?

Log in

No account? Create an account
 
 
24 September 2003 @ 11:03 am
Broken Browser  
Apparently, I am currently running Internet Explorer 5, version 6.0.2800.1106

This is right after running the IE6 installer. Does that seem wrong to anybody else?
 
 
 
Zzyzxthezzyzx on September 24th, 2003 11:08 am (UTC)
Heh. I guess they're calling the product IE 5 now :)